MPD

- Main Page
- Data Structures
- Files

- File List
- Globals

Data Structures | Functions

# src/notify.h File Reference

`#include <glib.h>`
`#include <stdbool.h>`

Go to the source code of this file.

## Data Structures
struct | notify
## Functions
void | notify_init (struct notify *notify)
void | notify_deinit (struct notify *notify)
void | notify_wait (struct notify *notify)
| Wait for a notification.
void | notify_signal (struct notify *notify)
| Notify the thread.
void | notify_clear (struct notify *notify)
| Clears a pending notification.

## Function Documentation

void notify_clear | ( | struct notify * | notify | ) |

Clears a pending notification.

void notify_deinit | ( | struct notify * | notify | ) |

void notify_init | ( | struct notify * | notify | ) |

void notify_signal | ( | struct notify * | notify | ) |

Notify the thread.

This function never blocks.

void notify_wait | ( | struct notify * | notify | ) |

Wait for a notification.

Return immediately if we have already been notified since we last returned from notify_wait().